<ion-avatar [routerLink]="['/manager-profile']">
  <ion-img
    *ngIf="!isBlob"
    [src]="
      photo
        ? urlServer + '/' + photo
        : '../../../../assets/imgs/unknow_user.png'
    "
  ></ion-img>
  <ion-img *ngIf="isBlob" [src]="photo"></ion-img>
  <div class="mode-edit" *ngIf="modeEditEnabled" id="click-trigger">
    <ion-icon name="create-sharp"></ion-icon>
  </div>
</ion-avatar>

<ion-popover
  trigger="click-trigger"
  triggerAction="click"
  side="bottom"
  alignment="center"
  mode="ios"
>
  <ng-template>
    <ion-content class="ion-padding ion-text-center">
      <ion-button
        (click)="removePhotoProfile()"
        expand="block"
        size="small"
        fill="clear"
        >Remover foto</ion-button
      >
      <ion-button (click)="updatePhotoProfile()" expand="block" size="small"
        >Alterar foto</ion-button
      >
    </ion-content>
  </ng-template>
</ion-popover>
